.grey-block {
    background: #313A4F;
    box-shadow: 0px 0px 4px 0px rgba(26, 26, 26, 0.20);
    padding: 20px;
    border-radius: 10px;
}

.features-block {
    border-radius: 5px;
    background: #673DE3;
    padding: 20px;
}

.under-line {
    border-bottom: 2px solid white;
    padding-bottom: 10px;
    margin-bottom: 10px;
    display: inline-block;
}

.dark-bg {
    background-color: #021117;
    position: relative;
    border-radius: 3rem 0;
    color: white;
}

.dark-bg::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url(/wp-content/uploads/shape-pattern.png);
    background-size: 50%;
    width: 100%;
    height: 100%;
}

.dark-bg.hero-bg {
    border-radius: 0 0 3rem 0;
    border-bottom: 5px solid #E8FF0A;
    overflow: hidden;
}

.dark-bg.end-bg {
    border-radius: 3rem 0 0 0;
}

.dark-bg>div {
    z-index: 1;
    position: relative;
}

@media (min-width: 1140px) {
    .dark-bg.hero-bg {
        padding-top: 90px;
        padding-bottom: 50px;
    }
}

@media (max-width: 1140px) {
    .dark-bg.hero-bg {
        padding-top: 120px;
        padding-bottom: 30px;
    }
}


/* Header */

.header header {
    position: absolute;
    top: 0;
    z-index: 10;
    width: calc(100% - 40px);
}

.header .logo::after {
    content: none !important;
}

.header .logo img {
    max-width: 100%;
    object-fit: contain;
}

.header .top-panel {
    display: flex;
    padding: 20px 0px;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.header .contacts {
    display: flex;
    align-items: flex-start;
    max-width: 170px;
    gap: 10px;
    font-weight: 500;
}

.header .contacts a {
    color: white !important;
}

.info-menu {
    flex-grow: inherit;
}

.menu-item-cofiguration {
    padding: 10px 20px;
    background: #673de3;
    width: 100%;
    display: block;
    margin-bottom: -8px;
    color: white;
}

.menu-item-cofiguration:hover {
    background: #E8FF0A;
}

.menu-item-cofigurationP::before,
.menu-item-cofiguration::after {
    content: none !important;
}

@media (max-width: 767px) {
    .info-menu {
        max-width: 100%;
        background: #021117;
        padding: 30px;
        border-radius: 5px;
    }
}

@media (min-width: 1140px) {
    .header .logo {
        max-width: 40%;
    }
}

@media (max-width: 1140px) {
    .header .top-panel {
        flex-wrap: wrap;
    }
    /* .header .logo {
        text-align: center;
    } */
    .header .logo,
    .header .contacts {
        width: 45%;
        max-width: 50%;
        order: 1;
    }
    .header .contacts {
        justify-content: flex-end;
    }
    .header-menu>nav,
    .header-menu>button {
        order: 2;
    }
}


/* Menu */

.catalog-menu button {
    display: flex;
    padding: 10px 20px;
    border-radius: 5px;
    border: 1px solid #E8FF0A;
    background: #E8FF0A;
    color: #313A4F;
    font-weight: 500;
    justify-content: center;
    align-items: center;
    gap: 5px;
    line-height: 1rem;
}

.catalog-menu button.dropdown-toggle.show {}

.catalog-menu .dropdown-menu {
    max-height: 70vh;
    overflow-y: auto;
    overflow-x: hidden;
    background: white;
    border-width: 0 0 2px 0;
    border-color: #E8FF0A;
    box-shadow: 0 5px 5px #51596352;
}

.catalog-menu .dropdown-toggle::after {
    content: none !important;
}

.dropdown-menu {
    min-width: 250px;
    border-radius: 10px;
    transition-duration: 0.3s;
}

.dropdown-menu ul {
    list-style: none;
    padding: 0 20px;
}

.dropdown-menu ul li {
    margin-top: 15px;
}

.header-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

div.info-menu {
    justify-content: flex-end;
}

button.info-menu,
button.info-menu:focus,
button.info-menu span,
.info-menu a {
    color: white !important;
    font-size: 1rem;
    font-weight: 400;
    padding: 0 !important;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

.header-menu a {
    position: relative;
}

.header-menu a:hover {
    color: inherit;
}

.header-menu a::after {
    content: "";
    width: 100%;
    height: 2px;
    background: #E8FF0A;
    display: none;
    position: absolute;
    bottom: -4px;
    animation-name: fadeInRight;
    animation-duration: 0.3s;
}

.header-menu a:hover::after,
.header-menu .current-menu-item>a::after {
    display: block;
}

button.info-menu img {
    filter: invert(1);
    width: 16px;
    height: 16px;
    transition-duration: 0.3s;
    margin-left: 5px;
}

.info-menu ul {
    list-style: none;
    padding: 0;
}

button.info-menu[aria-expanded="true"] img {
    transform: rotate(180deg);
}

.catalog-menu .dropdown-menu a:hover {
    color: inherit;
}

@media (min-width: 767px) {
    .navbar-nav {
        gap: 50px;
    }
}

@media (max-width: 767px) {
    .navbar-nav {
        gap: 20px;
    }
}


/* Заголовок */

.heroes-block {
    display: flex;
    align-items: center;
    gap: 20px;
    align-self: stretch;
    border-radius: 10px;
    position: relative;
    justify-content: space-between;
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.section-container.hero-block {
    z-index: 1;
    position: relative;
}

.hero-img svg {
    position: absolute;
    z-index: 0;
    top: 0;
    right: 0;
    max-width: 100%;
}

.hero-img img {
    width: 100%;
    max-height: 270px;
    object-fit: contain;
    z-index: 1;
    position: relative;
}

h1,
.heroes-block p {
    margin: 0;
    color: white;
}

.heroes-block>div:first-child {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 20px;
}

.heroes-block .actions {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
}

@media (min-width: 1040px) {
    .heroes-block>div:first-child {
        max-width: 60%;
    }
    .heroes-block>.hero-img {
        width: 40%;
    }
}

@media (max-width: 1040px) {
    .heroes-block {
        flex-direction: column-reverse;
    }
    .heroes-block>div {
        width: 100%;
        z-index: 1;
    }
    .hero-img img {
        margin-right: auto;
        max-height: 170px;
        object-position: left;
    }
    .hero-img svg {
        max-height: 170px;
        max-width: fit-content;
        left: 20px;
    }
}


/* Breadcrumbs */

.breadcrumbs a {
    color: white;
}

.breadcrumb_last {
    opacity: 0.5;
}


/* Advantages */

.advantages>div {
    padding-right: 70px;
    position: relative;
}

.advantages p,
.advantages_service p {
    margin: 0;
}

.advantages>div img {
    position: absolute;
    right: 10px;
    bottom: 10px;
    width: 40px;
    height: 40px;
}

.advantages_service>div img {
    width: 50px;
    height: 50px;
    object-fit: contain;
}

.advantages_service>div {
    display: flex;
    flex-direction: column;
    gap: 10px;
}


/* Price */

.price img {
    height: 80px;
    width: 100%;
    object-fit: contain;
    margin-bottom: 10px;
    object-position: left;
}

.price>div {
    transition-duration: 0.3s;
    border-bottom: 2px solid #E8FF0A;
}

.price>div:hover,
.news-el:hover {
    transform: scale(1.03);
    box-shadow: 0 0 10px #00000014;
}

.service-list {
    margin-bottom: 20px;
}

.service-list>div {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid white;
}


/* Step Work */

.step_work,
.step_work_vert {
    display: flex;
    flex-wrap: wrap;
}

.step_work_visual {
    display: flex;
    align-items: center;
}

.step_work_visual div {
    background: #E8FF0A;
    border-radius: 50px;
    display: inline-flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    color: #313A4F;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
}

.step_work_text>* {
    margin: 10px 0 0;
    display: block;
}

.step_work_text p a {
    color: white;
}

.step_work_text a {
    text-decoration: underline;
}

.step_work_el:last-child hr {
    display: none;
}

.step_work_vert>* {
    width: 100%;
    display: flex;
}

.step_work_vert .step_work_text {
    padding-left: 20px;
    padding-bottom: 20px;
}

.step_work_vert .step_work_text>*:first-child {
    margin: 0;
}

.step_work_vert .step_work_visual {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.step_work_vert .step_work_visual hr {
    width: 3px;
    border: none;
    background: #E8FF0A;
    height: calc(100% - 40px);
    margin: 0;
}

@media (min-width:1040px) {
    .step_work>* {
        width: calc(100% / 4);
    }
    .step_work_visual hr {
        width: calc(100% - 40px);
        border: none;
        background: #E8FF0A;
        height: 3px;
        margin: 0;
    }
    .step_work_text {
        padding-right: 20px;
    }
}

@media (max-width:1040px) {
    .step_work>* {
        width: 100%;
        display: flex;
    }
    .step_work_text {
        padding-left: 20px;
        padding-bottom: 20px;
    }
    .step_work_text>*:first-child {
        margin: 0;
    }
    .step_work_visual {
        display: flex;
        align-items: center;
        flex-direction: column;
    }
    .step_work_visual hr {
        width: 3px;
        border: none;
        background: #E8FF0A;
        height: calc(100% - 40px);
        margin: 0;
    }
}


/* FAQ */

.faq {
    display: flex;
    align-items: center;
    position: relative;
}

.faq>div {
    width: 100%;
}

.faq .accordion-item {
    margin-bottom: 10px;
    background: #313A4F;
    border-radius: 10px;
}

.faq .accordion-button {
    font-weight: 600;
    color: white;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    border: none;
    background: none;
    cursor: pointer;
    outline: none;
    font-size: 1.15rem;
    text-align: left;
    box-shadow: none !important;
}

.faq .accordion-body {
    padding: 0 20px 20px;
}

.faq .accordion-item .accordion-collapse {
    height: 0;
    overflow: hidden;
    transition: height 0.3s ease;
}

.faq .accordion-item .accordion-collapse.show {
    height: fit-content;
    transition: height 0.3s ease;
}

.faq .accordion-item i {
    font-size: 1.5rem;
    transition-duration: 0.3s;
}

.faq .accordion-button:not(.collapsed) i {
    transform: rotate(45deg);
}

.faq .nt-plus {
    background-image: url(../img/plus.svg);
    width: 16px;
    height: 16px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.faq .accordion-button::after {
    content: none !important;
}

@media (min-width:960px) {
    .faq.faq-w-img>div {
        width: 60%;
    }
    .faq-w-img>img {
        position: absolute;
        top: -55px;
        right: 0;
        width: calc(40% + 100px);
        margin-left: -100px;
        z-index: -1;
    }
}


/* Instagram */

.instagram_photo_list,
.instagram-photo {
    display: flex;
    gap: 20px;
}

.instagram-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 30px 20px;
    gap: 5px;
    background: #313A4F;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    color: white;
}

.instagram-info>*:not(a) {
    margin: 0;
}

.instagram-info a {
    color: white;
    margin-top: 25px;
    text-decoration: underline;
}

.instagram-info i {
    background-image: url(../img/instagram_logo.svg);
    width: 50px;
    height: 50px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.instagram-photo>* {
    border-radius: 10px;
    height: 230px;
    object-fit: cover;
}

@media (min-width:1040px) {}

@media (max-width:1040px) {
    .instagram_photo_list {
        flex-direction: column;
    }
}

@media (min-width: 700px) {
    .instagram-photo>* {
        width: calc(100% / 3 - 13.4px);
    }
    .instagram-info {
        min-width: 360px;
    }
    .scrollable-block {
        overflow-x: auto;
        overflow-y: hidden;
        white-space: nowrap;
    }
    .scrollable-block {
        width: 100%;
        max-width: 100%;
    }
    .scrollable-block::-webkit-scrollbar {
        display: none;
    }
    .scrollable-block {
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
}

@media (max-width: 700px) {
    .instagram-photo {
        overflow-x: scroll;
        margin-right: -20px;
        margin-left: -20px;
    }
    .instagram-photo>img:first-child {
        margin-left: 20px;
    }
    .instagram-photo>img:last-of-type {
        margin-right: 20px;
    }
    .instagram-photo>* {
        width: 230px;
    }
}


/* News */

.news-el {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    transition-duration: 0.3s;
}

.news-el img {
    height: 250px;
    width: 100%;
    object-fit: cover;
}

.news-el .news-desc {
    display: flex;
    width: 100%;
    background: #673de3d4;
    color: white;
    flex-direction: column;
    gap: 20px;
    position: absolute;
    bottom: 0;
    left: 0;
    align-items: flex-start;
}

.news-el .news-desc a {
    color: white;
}

.news-el .news-title {
    font-size: 1.05rem;
    font-weight: 500;
}

@media (min-width: 700px) {
    .news-el .news-desc {
        padding: 20px;
    }
}

@media (max-width: 700px) {
    .news-el .news-desc {
        padding: 15px;
    }
}


/* Footer */

.footer .contacts-info {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

footer {
    position: relative;
}

.footer .social {
    display: flex;
    align-items: flex-start;
    gap: 20px;
}

.copyright {
    display: flex;
    padding: 20px 0px;
    gap: 20px;
}

.map {
    overflow: hidden;
    border-radius: 5px;
}

.map>iframe {
    height: 100%;
    min-height: 300px;
}

@media (min-width: 700px) {
    .map {
        border-radius: 3rem 0 0 3rem;
        position: absolute;
        left: 50%;
        bottom: 0;
        width: 50%;
        height: 100%;
        box-shadow: 5px 3px 10px 0px rgba(0, 0, 0, 0.10) inset;
    }
}

@media (max-width: 700px) {
    .footer .contacts-info {
        padding-bottom: 0;
    }
    .map {
        margin-bottom: 50px;
    }
}

@media (min-width: 640px) {
    .copyright {
        justify-content: space-between;
        align-items: center;
    }
}

@media (max-width: 640px) {
    .copyright {
        flex-direction: column;
    }
}


/* Headline */

.page-headline {
    display: flex;
    flex-direction: column;
    gap: 20px;
    /* margin: 3rem 0;
    max-width: 600px; */
}

.page-headline * {
    margin: 0;
}

@media (min-width: 640px) {}

@media (max-width: 640px) {}


/* Forms  */

.form-field input:not(.wpcf7-submit),
.form-field select,
.form-field textarea {
    text-transform: none;
    line-height: 18px;
    width: 100%;
    border-radius: 5px;
    border: 1px solid #b6b6b6;
    padding: 10px 20px;
    outline: none;
}

.form-field textarea {
    height: 60px;
}

.form-submit .wpcf7-spinner,
.wpcf7-spinner {
    position: absolute;
    top: 7px;
    left: 7px;
    margin: 0;
}

.form-field label {
    font-size: 12px;
    font-weight: 500;
    color: #313A4F;
    padding: 0 0 5px 0;
}

form .wpcf7-response-output {
    width: 100%;
    margin: 0;
    padding: 20px;
}

form .wpcf7-not-valid-tip {
    display: none !important;
}

form .form-submit input {
    display: inline-flex;
    width: auto;
}

.form-field.form-field-type_v {
    position: relative;
    overflow: hidden;
}

.form-field-type_v:before {
    content: ' ';
    position: absolute;
    left: 0;
    width: 100%;
    height: 20px;
    z-index: 99;
}

input[name="service_heading"] {
    border: 1px solid white;
    background: none !important;
    font-weight: 600 !important;
    color: white !important;
}

@media(min-width: 1020px) {
    .form-field input:not(.wpcf7-submit),
    .form-field textarea {
        font-size: 14px !important;
    }
}


/* Category grid */

.category-grid>* {
    border-radius: 5px;
    background: #FBFAF5;
    padding: 20px 40px 20px 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    position: relative;
}

.category-grid>* img {
    width: 60px;
    height: 60px;
    object-fit: contain;
}

.category-grid>* svg {
    position: absolute;
    top: 20px;
    right: 20px;
    transition-duration: 0.3s;
}

.category-grid>*:hover {
    box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.15);
    background-color: #673de3;
    color: white;
}

.category-grid>*:hover svg {
    right: 10px;
}

.category-grid>*:hover svg path {
    stroke: #e8ff0a;
}


/* Product Listing */

.product-item a {
    color: white;
}

.product-item p {
    margin: 0;
}

.product-item-title:hover {
    color: #E8FF0A;
}

.product-item-img {
    width: 100%;
    display: block;
    padding: 0 50% 20px 0;
    margin-bottom: -100px;
}

.product-item-img img {
    width: 100%;
    height: 150px;
    object-fit: contain;
    background: white;
    border-radius: 1rem 0 1rem 0;
    box-shadow: 0px -2px 4px 0px rgba(0, 0, 0, 0.05);
    padding: 10px;
}

.product-details {
    display: flex;
    padding: 100px 20px 30px 20px;
    flex-direction: column;
    gap: 20px;
    background: #021117;
    color: white;
    border-radius: 1rem;
    transition-duration: 0.3s;
}

.product-item:hover .product-details {
    box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.15);
    background-color: #673de3;
}

.product-item-title {
    font-size: 1.15rem;
    font-weight: 500;
}

.product-actions {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.btn-type-product {
    border-radius: 5px;
    background: #E8FF0A;
    padding: 9px 17px;
    display: inline-flex;
    gap: 10px;
    color: #021117;
    width: fit-content;
    align-items: center;
    font-weight: 500;
    cursor: pointer;
    white-space: nowrap;
    border: none;
}